Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class InvokeActivity

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
              org.apache.ode.bpel.compiler.bom.Activity
                  org.apache.ode.bpel.compiler.bom.ScopeLikeActivity
                      org.apache.ode.bpel.compiler.bom.InvokeActivity

All Implemented Interfaces:
  SourceLocation, Communication

    public class InvokeActivity

extends ScopeLikeActivity
implements Communication

BOM representation of a BPEL `<invoke>` activity.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`InvokeActivity(org.w3c.dom.Element el)`

Method Summary
`java.util.List<Correlation>` | `getCorrelations()`
`java.lang.String` | `getInputVar()` Get the input variable.
`java.lang.String` | `getOperation()` Get the operation for the communication.
`java.lang.String` | `getOutputVar()` The output variable.
`java.lang.String` | `getPartnerLink()` Get the partnerLink link on which to communicate.
`javax.xml.namespace.QName` | `getPortType()` Get the port type for the communication.
`Scope` | `getScope()`

Methods inherited from class org.apache.ode.bpel.compiler.bom.Activity
`getJoinCondition, getLinkSources, getLinkTargets, getName`

Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`getSuppressJoinFailure`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvokeActivity

    public InvokeActivity(org.w3c.dom.Element el)

Method Detail

### getScope

    public Scope getScope()

  Overrides:
    `getScope` in class `ScopeLikeActivity`

### getInputVar

    public java.lang.String getInputVar()

  Get the input variable.

  Returns:
    name of input variable

### getOutputVar

    public java.lang.String getOutputVar()

  The output variable.

  Returns:
    output variable name

### getOperation

    public java.lang.String getOperation()

  Description copied from interface: `Communication`
  Get the operation for the communication.

  Specified by:
    `getOperation` in interface `Communication`
  Returns:
    name of operation

### getPartnerLink

    public java.lang.String getPartnerLink()

  Description copied from interface: `Communication`
  Get the partnerLink link on which to communicate.

  Specified by:
    `getPartnerLink` in interface `Communication`
  Returns:
    name of the partner link

### getPortType

    public javax.xml.namespace.QName getPortType()

  Description copied from interface: `Communication`
  Get the port type for the communication. This property is optional as the partner link type implies a port type.

  Specified by:
    `getPortType` in interface `Communication`
  Returns:
    name of portType for the communication (or `null`)

### getCorrelations

    public java.util.List<Correlation> getCorrelations()

  Specified by:
    `getCorrelations` in interface `Communication`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD